package com.ruoyi.baseinfo.domain;

import com.ruoyi.system.domain.SysDept;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 职员基础信息对象 base_employee_info
 * 
 * @author CaesarBao
 * @date 2020-10-21
 */
@Data
public class BaseEmployeeInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long objid;

    /** 职员ID */
    @Excel(name = "职员ID")
    private String empId;

    /** 职员名称 */
    @Excel(name = "职员名称")
    private String empName;

    /** 职员卡号 */
    @Excel(name = "职员卡号")
    private String carNo;

    /** 部门ID */
    @Excel(name = "部门ID")
    private Long deptId;

    /** 职位ID */
    @Excel(name = "职位ID")
    private String postId;

    /** 职员状态ID（0在职 1离职 2删除） */
    @Excel(name = "职员状态ID", readConverterExp = "0=在职,1=离职,2=删除")
    private String empStateId;

    /** 状态（0代表可用 1代表停用） */
    @Excel(name = "状态", readConverterExp = "0=代表可用,1=代表停用")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    private String postName;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public SysDept getDept() {
        return dept;
    }

    public void setDept(SysDept dept) {
        this.dept = dept;
    }

    private SysDept dept;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }


    public Long getObjid()
    {
        return objid;
    }
    public void setEmpId(String empId) 
    {
        this.empId = empId;
    }

    public String getEmpId() 
    {
        return empId;
    }
    public void setEmpName(String empName) 
    {
        this.empName = empName;
    }

    public String getEmpName() 
    {
        return empName;
    }
    public void setCarNo(String carNo) 
    {
        this.carNo = carNo;
    }

    public String getCarNo() 
    {
        return carNo;
    }

    public void setPostId(String postId) 
    {
        this.postId = postId;
    }

    public String getPostId() 
    {
        return postId;
    }
    public void setEmpStateId(String empStateId) 
    {
        this.empStateId = empStateId;
    }

    public String getEmpStateId() 
    {
        return empStateId;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("empId", getEmpId())
            .append("empName", getEmpName())
            .append("carNo", getCarNo())
            .append("deptId", getDeptId())
            .append("postId", getPostId())
            .append("empStateId", getEmpStateId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
